;Project Lynxmotion Phoenix
;Description: 3DOF T-Hex, configuration file.
;      All Hardware connections (excl controls) and body dimensions 
;      are configurated in this file. Can be used with V2.0 and above
;Configuration version: V1.0
;Date: April 7, 2011
;Programmers: Jeroen Janssen (aka Xan)
;			  Kre Halvorsen (aka Zenta)
;
;Hardware setup: ABB2 with ATOM 28 Pro, SSC32 V2, (See further for connections)
;
;NEW IN V1.0
;   - First Release
;
;--------------------------------------------------------------------
BinaryMode 			con 1 	;Comment this line if you don't want to use the SSC32 binary mode
;PERLEGCONFIG 		con 1	; Comment this line if all of the legs are the same...
; Note: cTarsLength if defined below turns on 4dof mode...

;USEPS2			con 1
USEXBEE			con 1

;--------------------------------------------------------------------
;[SERIAL CONNECTIONS]
cSSC_OUT         con P11      ;Output pin for (SSC32 RX) on BotBoard (Yellow)
cSSC_IN          con P10      ;Input pin for (SSC32 TX) on BotBoard (Blue)
cSSC_BAUD        con i115200   ;SSC32 BAUD rate 38400 115200
;--------------------------------------------------------------------
;[BB2 PIN NUMBERS]
cEyesPin      con P8
#ifdef BASICATOMPRO28
CXBEE_RTS		con	p7	' put on a pin that has lower voltages (Only used if USEXBEE is defined)
cSound			con P9	; Standard sound pin on Atom Bot Board 2
#else
cSound			con P19	; lets try output sound on plug in speaker
CXBEE_RTS		con P34 ' put on a pin that has lower voltage (SCL/SDA)
#endif
;--------------------------------------------------------------------
;[SSC PIN NUMBERS]
cRFCoxaPin       con P0   ;Rear Right leg Hip Horizontal
cRFFemurPin    con P1   ;Rear Right leg Hip Vertical
cRFTibiaPin    con P2   ;Rear Right leg Knee

cRMCoxaPin       con P4   ;Middle Right leg Hip Horizontal
cRMFemurPin    con P5   ;Middle Right leg Hip Vertical
cRMTibiaPin    con P6   ;Middle Right leg Knee

cRRCoxaPin       con P8   ;Front Right leg Hip Horizontal
cRRFemurPin    con P9   ;Front Right leg Hip Vertical
cRRTibiaPin    con P10   ;Front Right leg Knee

cLFCoxaPin       con P16   ;Rear Left leg Hip Horizontal
cLFFemurPin    con P17   ;Rear Left leg Hip Vertical
cLFTibiaPin    con P18   ;Rear Left leg Knee

cLMCoxaPin       con P20   ;Middle Left leg Hip Horizontal
cLMFemurPin    con P21   ;Middle Left leg Hip Vertical
cLMTibiaPin    con P22   ;Middle Left leg Knee

cLRCoxaPin       con P24   ;Front Left leg Hip Horizontal
cLRFemurPin    con P25   ;Front Left leg Hip Vertical
cLRTibiaPin    con P26   ;Front Left leg Knee

;--------------------------------------------------------------------
;[Joint offsets]
;First calibrate the servos in the 0 deg position using the SSC-32 reg offsets, then:
cFemurHornOffset	con 150 ;Snap out the horn one click upward
cTarsHornOffset		con 150 ;Snap out the horn one click inward
;--------------------------------------------------------------------


;--------------------------------------------------------------------
;[MIN/MAX ANGLES]
cRRCoxaMin1      con -550      ;Mechanical limits of the Right Rear Leg
cRRCoxaMax1      con 550
cRRFemurMin1   con -900
cRRFemurMax1   con 550
cRRTibiaMin1   con -400
cRRTibiaMax1   con 750

cRMCoxaMin1      con -550      ;Mechanical limits of the Right Middle Leg
cRMCoxaMax1      con 550
cRMFemurMin1   con -900
cRMFemurMax1   con 550
cRMTibiaMin1   con -400
cRMTibiaMax1   con 750

cRFCoxaMin1      con -550      ;Mechanical limits of the Right Front Leg
cRFCoxaMax1      con 550
cRFFemurMin1   con -900
cRFFemurMax1   con 550
cRFTibiaMin1   con -400
cRFTibiaMax1   con 750

cLRCoxaMin1      con -550      ;Mechanical limits of the Left Rear Leg
cLRCoxaMax1      con 550
cLRFemurMin1   con -900
cLRFemurMax1   con 550
cLRTibiaMin1   con -400
cLRTibiaMax1   con 750

cLMCoxaMin1      con -550      ;Mechanical limits of the Left Middle Leg
cLMCoxaMax1      con 550
cLMFemurMin1   con -900
cLMFemurMax1   con 550
cLMTibiaMin1   con -400
cLMTibiaMax1   con 750

cLFCoxaMin1      con -550      ;Mechanical limits of the Left Front Leg
cLFCoxaMax1      con 550
cLFFemurMin1   con -900
cLFFemurMax1   con 550
cLFTibiaMin1   con -400
cLFTibiaMax1   con 750
;--------------------------------------------------------------------
;[BODY DIMENSIONS]
cCoxaLength    	con 29      ;1.14" = 29mm (1.14 * 25.4)
cFemurLength    con  76     ;2.98" = 76mm (2.98 * 25.4)
cTibiaLength    con  104    ;4.04" = 103mm (4.04 * 25.4)

cRRCoxaAngle1    con -450   ;Default Coxa setup angle, decimals = 1
cRMCoxaAngle1    con 0      ;Default Coxa setup angle, decimals = 1
cRFCoxaAngle1    con 450      ;Default Coxa setup angle, decimals = 1
cLRCoxaAngle1    con -450   ;Default Coxa setup angle, decimals = 1
cLMCoxaAngle1    con 0      ;Default Coxa setup angle, decimals = 1
cLFCoxaAngle1    con 450      ;Default Coxa setup angle, decimals = 1

cRROffsetX       con -53     ;Distance X from center of the body to the Right Rear coxa
cRROffsetZ       con 102     ;Distance Z from center of the body to the Right Rear coxa
cRMOffsetX       con -72     ;Distance X from center of the body to the Right Middle coxa
cRMOffsetZ       con 0       ;Distance Z from center of the body to the Right Middle coxa
cRFOffsetX       con -60     ;Distance X from center of the body to the Right Front coxa
cRFOffsetZ       con -102    ;Distance Z from center of the body to the Right Front coxa

cLROffsetX       con 53      ;Distance X from center of the body to the Left Rear coxa
cLROffsetZ       con 102     ;Distance Z from center of the body to the Left Rear coxa
cLMOffsetX       con 72      ;Distance X from center of the body to the Left Middle coxa
cLMOffsetZ       con 0       ;Distance Z from center of the body to the Left Middle coxa
cLFOffsetX       con 60      ;Distance X from center of the body to the Left Front coxa
cLFOffsetZ       con -102    ;Distance Z from center of the body to the Left Front coxa

;--------------------------------------------------------------------
;[START POSITIONS FEET]
cXXInitPosY	   con 26	   ;Global start hight
CHexInitY		con cXXInitPosY		; All of them are the same used in experment 

cRRInitPosX    con 72      ;Start positions of the Right Rear leg
cRRInitPosY    con cXXInitPosY
cRRInitPosZ    con 72

cRMInitPosX    con 105      ;Start positions of the Right Middle leg
cRMInitPosY    con cXXInitPosY
cRMInitPosZ    con 0

cRFInitPosX    con 72      ;Start positions of the Right Front leg
cRFInitPosY    con cXXInitPosY
cRFInitPosZ    con -72

cLRInitPosX    con 72      ;Start positions of the Left Rear leg
cLRInitPosY    con cXXInitPosY
cLRInitPosZ    con 72

cLMInitPosX    con 105      ;Start positions of the Left Middle leg
cLMInitPosY    con cXXInitPosY
cLMInitPosZ    con 0

cLFInitPosX    con 75      ;Start positions of the Left Front leg
cLFInitPosY    con cXXInitPosY
cLFInitPosZ    con -75
;--------------------------------------------------------------------